/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech) (5.1.0).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
package com.mobica.BooksService.network.api;

import com.mobica.BooksService.network.model.Error;
import com.mobica.BooksService.network.model.Health;
import io.swagger.annotations.*;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import springfox.documentation.annotations.ApiIgnore;

import javax.validation.Valid;
import javax.validation.constraints.*;
import java.util.List;
import java.util.Map;
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2023-03-29T18:36:40.009568300+02:00[Europe/Warsaw]")
@Validated
@Api(value = "health", description = "the health API")
public interface HealthApi {

    default HealthApiDelegate getDelegate() {
        return new HealthApiDelegate() {};
    }

    /**
     * GET /health : Get Health
     * This endpoint is sending health information 
     *
     * @return Health information (status code 200)
     *         or Internal Server Error (status code 500)
     *         or Not Implemented (status code 501)
     */
    @ApiOperation(value = "Get Health", nickname = "getHealth", notes = "This endpoint is sending health information ", response = Health.class, authorizations = {
        
        @Authorization(value = "jwtAuth")
         }, tags={ "health", })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Health information", response = Health.class),
        @ApiResponse(code = 500, message = "Internal Server Error", response = Error.class),
        @ApiResponse(code = 501, message = "Not Implemented", response = Error.class) })
    @GetMapping(
        value = "/health",
        produces = { "application/json" }
    )
    default ResponseEntity<Health> getHealth() {
        return getDelegate().getHealth();
    }

}
